{% extends 'index.html' %}
{% load static %}
{% block content %}


<main id="main" xmlns="http://www.w3.org/1999/html" xmlns="http://www.w3.org/1999/html">
    <style>
   .portfolio-wrap {
        width: initial;
        height: initial;
        overflow: hidden;
        margin: auto;
   }
   .portfolio-wrap img {
          width: 200%;
          height: 100%;
   }
</style>

    <section id="portfolio" class="portfolio section-bg">
      <div class="container">
        <div class="section-title">
          <h2>Image details</h2>
        </div>
            <section class="breadcrumbs">
                 <div class="container">
                     <div class="d-flex justify-content-between align-items-center">
                        <h2>{{ image.title }} </h2>
                     </div>
                     <br/>
                     <div class="container" data-aos="fade-up" data-aos-delay="100">
                        <div class="portfolio-item filter-app">
                             <div class="portfolio-wrap">
                                    <img src="{{ image.image.url }}" class="img-thumbnail" alt="Responsive image">
                                     <div class="portfolio-links">
                                        <a href="{{ image.image.url }}" class="portfolio-lightbox"><i class="bx bx-zoom-in"></i></a>
                                     </div>
                             </div>
                        </div>
                     </div>
                  </div>
            </section>
          <br/>
          <hr>
              <form action="{% url 'like_image_url' image.category.slug image.pk %}" method="POST">
                {% csrf_token %}
                  {% if user.is_authenticated %}
                      {% if liked %}
                        <p align="right"><button type="submit", name="image_id", value="{{ image.id }}", class="btn btn-danger"><i></i><span>Unlike</span></button>
                      {% else %}
                         <p align="right"><button type="submit", name="image_id", value="{{ image.id }}", class="btn btn-primary"><i></i><span>Like</span></button>
                      {% endif %}
                  {% endif %}
              </form>
          <br/><br/><br/>

        <div class="section-title">
          <h2>Comments</h2>
        </div>
          {% if not image.image_comment.all %}
            No comments yet
            {% if user.is_authenticated %}
                <a href="{% url 'image_comment_url' image.category.slug image.pk %}" class="btn btn-primary"><i></i><span>Add comment</span></a></p>
            {% endif %}
          {% else %}
            {% for image_comment in image.image_comment.all %}
                <strong>{{ image_comment.name }} - <i>{{ image_comment.date_added }}</i></strong>
                <br/>
            {{ image_comment.body }}
                <br/>
            {% endfor %}
            {% if user.is_authenticated %}
                 <br/><br/>
                <p align="left"><a href="{% url 'image_comment_url' image.category.slug image.pk %}" class="btn btn-primary"><i></i><span>Add comment</span></a></p>
            {% endif %}
          {% endif %}

      </div>

{% endblock %}
